Name:          rtkit
Version:       0.11
Release:       %mkrel 5
Summary:       Realtime Policy and Watchdog Daemon
Group:         System/Libraries
License:       GPLv3+ and BSD
URL:           http://git.0pointer.de/?p=rtkit.git
Requires:      polkit >= 0.93
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
BuildRequires: dbus-devel >= 1.2
BuildRequires: libcap-devel
BuildRequires: polkit-1-devel
BuildRequires: systemd-units
Source0:       http://0pointer.de/public/%{name}-%{version}.tar.xz
Patch0:        rtkit-0.11-link-rt.patch
Patch1:        0001-Pass-uid-of-caller-to-polkit.patch

%description
RealtimeKit is a D-Bus system service that changes the
scheduling policy of user processes/threads to SCHED_RR (i.e. realtime
scheduling mode) on request. It is intended to be used as a secure
mechanism to allow real-time scheduling to be used by normal user
processes.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --with-systemdsystemunitdir=%{_unitdir}
%make
./rtkit-daemon --introspect > org.freedesktop.RealtimeKit1.xml

%install
rm -rf %{buildroot}
%makeinstall_std
install -D org.freedesktop.RealtimeKit1.xml %{buildroot}/%{_datadir}/dbus-1/interfaces/org.freedesktop.RealtimeKit1.xml

%clean
rm -rf %{buildroot}

%pre
%_pre_useradd rtkit /proc /sbin/nologin

%postun
%_postun_userdel rtkit

%post
dbus-send --system --type=method_call --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig >/dev/null 2>&1 || :

%files
%doc README rtkit.c rtkit.h
%attr(0755,root,root) %{_sbindir}/rtkitctl
%attr(0755,root,root) %{_libexecdir}/rtkit-daemon
%{_datadir}/dbus-1/system-services/org.freedesktop.RealtimeKit1.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.RealtimeKit1.xml
%{_datadir}/polkit-1/actions/org.freedesktop.RealtimeKit1.policy
%{_mandir}/man*/rtkitctl.*
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.RealtimeKit1.conf
%{_unitdir}/rtkit-daemon.service


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.11-5.mga4
+ Revision: 536088
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 colin <colin> 0.11-4.mga4
+ Revision: 483252
- Make polkit usage secure (mga#11260 CVE-2013-4326)

* Mon Jan 14 2013 luigiwalser <luigiwalser> 0.11-3.mga3
+ Revision: 381207
- explicitly link rt library to fix compilation error

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 colin <colin> 0.11-1.mga3
+ Revision: 248477
- New version: 0.11

* Sat Apr 28 2012 colin <colin> 0.10-3.mga2
+ Revision: 234092
- Ensure we build the systemd unit
- Enable systemd units.

  + tmb <tmb>
    - Require rpm-helper >= 0.24.8-1 for systemd support

* Sun Jun 19 2011 kharec <kharec> 0.10-1.mga2
+ Revision: 109770
- fix file list
- new version 0.10

* Thu Jan 13 2011 colin <colin> 0.8-1.mga1
+ Revision: 16452
- imported package rtkit


* Tue Jul 13 2010 Colin Guthrie <cguthrie@mandriva.org> 0.8-1mdv2011.0
+ Revision: 552108
- New version: 0.8

* Sat May 08 2010 Colin Guthrie <cguthrie@mandriva.org> 0.7-1mdv2010.1
+ Revision: 543610
- New version: 0.7

* Sun Mar 07 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.6-1mdv2010.1
+ Revision: 515357
- Update to 0.6

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5-1mdv2010.1
+ Revision: 484077
- update to new version 0.5

* Wed Aug 05 2009 Colin Guthrie <cguthrie@mandriva.org> 0.4-1mdv2010.0
+ Revision: 410012
- New version: 0.4

* Wed Jul 29 2009 Frederic Crozat <fcrozat@mandriva.com> 0.3-2mdv2010.0
+ Revision: 403990
- Fix incorrect dependency on old policykit version
- Do not call autoreconf, not needed

* Thu Jul 02 2009 Colin Guthrie <cguthrie@mandriva.org> 0.3-1mdv2010.0
+ Revision: 391822
- New version 0.3
- Drop unneeded patches

* Wed Jun 24 2009 Colin Guthrie <cguthrie@mandriva.org> 0.2-1mdv2010.0
+ Revision: 388804
- import rtkit


